WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | Protected Attributes | List of all members
winstd::actctx_activator Class Reference
Windows API

Activates given activation context in constructor and deactivates it in destructor. More...

`#include <Win.h>`

## Public Member Functions
| actctx_activator (_In_ HANDLE hActCtx) noexcept
| Construct the activator and activates the given activation context. More...
virtual | ~actctx_activator ()
| Deactivates activation context and destructs the activator. More...

## Protected Attributes
ULONG_PTR | m_cookie
| Cookie for context deactivation.

## Detailed Description

Activates given activation context in constructor and deactivates it in destructor.

## Constructor & Destructor Documentation

## ◆ actctx_activator()

winstd::actctx_activator::actctx_activator | ( | _In_ HANDLE | hActCtx | ) |
| inline noexcept

Construct the activator and activates the given activation context.

Parameters

  [in] | hActCtx | Activation context

See also
  ActivateActCtx function

## ◆ ~actctx_activator()

virtual winstd::actctx_activator::~actctx_activator | ( |  | ) |
| inline virtual

Deactivates activation context and destructs the activator.

See also
  DeactivateActCtx function

The documentation for this class was generated from the following file:

- include/WinStd/Win.h